1. Providers
CharrgReceive
  • CharrgReceive API
    • Banks
      • /api/v1/banks
    • Providers
      • /api/v1/providers
        GET
      • /api/v1/providers/{provider_id}
        GET
    • Transactions
      • /api/v1/transactions
      • /api/v1/transactions
      • /api/v1/transactions/{id}
      • /api/v1/transactions/{id}/status
      • /api/v1/transactions/by-reference/{reference_number}
      • /api/v1/transactions/by-external-id/{transaction_id}
    • Schemas
      • Address
      • AddTenantRequest
      • Bank
      • Beneficiary
      • CashMutationRequest
      • CashMutationResponse
      • CashStage
      • ComplianceInfo
      • Countries
      • CreateBankRequest
      • CreateProviderRequest
      • CreateTransactionRequest
      • Financials
      • LoginRequest
      • MetadataInfo
      • PageOfBank
      • SenderInfo
      • ProviderCatalogEntry
      • TokenResponse
      • TransactionResponse
      • WebhookConfiguration
  1. Providers

/api/v1/providers

GET
/api/v1/providers

Request

Authorization
API Key
Add parameter in header
X-Auth-Code
Example:
X-Auth-Code: ********************
or

Responses

🟢200
application/json
OK
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/providers' \
--header 'X-Auth-Code: <api-key>'
Response Response Example
[
    {
        "providerId": "string",
        "displayName": "string",
        "payoutMethods": [
            "string"
        ],
        "enabled": true,
        "lookupEnabled": true,
        "availability": "string",
        "countries": [
            {
                "name": "string",
                "currency": "string"
            }
        ],
        "lookupAvailable": true,
        "statusAvailable": true,
        "callbackAvailable": true,
        "dateCreated": "2019-08-24T14:15:22.123Z"
    }
]
Modified at 2026-10-24 20:15:25
Previous
/api/v1/banks
Next
/api/v1/providers/{provider_id}
Built with